<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:34 CEST 2019 -->
<title>FirebirdSupportInfo (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdSupportInfo (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":9,"i12":9,"i13":9,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/util/ByteArrayHelper.html" title="class in org.firebirdsql.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/util/InternalApi.html" title="annotation in org.firebirdsql.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/util/FirebirdSupportInfo.html" target="_top">Frames</a></li>
<li><a href="FirebirdSupportInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.util</div>
<h2 title="Class FirebirdSupportInfo" class="title">Class FirebirdSupportInfo</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.util.FirebirdSupportInfo</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">FirebirdSupportInfo</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Helper class that reports if a Firebird version supports a specific feature.
 <p>
 Intended as a repository for Jaybird to check for functionality support, or tests to check their assumptions, or
 decide on test or application behavior based on functionality support.
 </p>
 <p>
 Primary reason for existence of this class is to support version dependent functionality in Jaybird or
 version dependent tests in the Jaybird test suite, so feature checks are only added when they are necessary for
 Jaybird or the test suite. That said: if you miss feature checks, don't hesitate to create an issue in
 the <a href="http://tracker.firebirdsql.org/browse/JDBC">Jaybird tracker</a>.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#getSystemTableCount--">getSystemTableCount</a></span>()</code>
<div class="block">The number of system tables (including monitoring tables).</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#isVersionBelow-int-int-">isVersionBelow</a></span>(int&nbsp;majorVersion,
              int&nbsp;minorVersion)</code>
<div class="block">Check if the major.minor of this version is below the specified version.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#isVersionEqualOrAbove-int-int-">isVersionEqualOrAbove</a></span>(int&nbsp;majorVersion,
                     int&nbsp;minorVersion)</code>
<div class="block">Check if the major.minor of this version is equal to or larger than the specified version.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#isVersionEqualOrAbove-int-int-int-">isVersionEqualOrAbove</a></span>(int&nbsp;requiredMajorVersion,
                     int&nbsp;requiredMinorVersion,
                     int&nbsp;requiredVariant)</code>
<div class="block">Check if the major.minor.variant of this version is equal to or larger than the specified required version.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#maxDecimalPrecision--">maxDecimalPrecision</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#maxIdentifierLengthBytes--">maxIdentifierLengthBytes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#maxIdentifierLengthCharacters--">maxIdentifierLengthCharacters</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#maxReportedIdentifierLengthBytes--">maxReportedIdentifierLengthBytes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#reportedMetadataCharacterSetId--">reportedMetadataCharacterSetId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#reportsBlobCharSetInDescriptor--">reportsBlobCharSetInDescriptor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#reportsByteLengthInDescriptor--">reportsByteLengthInDescriptor</a></span>()</code>
<div class="block">TODO: Check if this is for all types or only for metadata.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportInfoFor-java.sql.Connection-">supportInfoFor</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportInfoFor-org.firebirdsql.gds.ng.FbAttachment-">supportInfoFor</a></span>(<a href="../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>&nbsp;attachment)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportInfoFor-org.firebirdsql.gds.impl.GDSServerVersion-">supportInfoFor</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a>&nbsp;serverVersion)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsAuthenticationPlugin-java.lang.String-">supportsAuthenticationPlugin</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pluginName)</code>
<div class="block">Checks whether the Firebird version supports a plugin name.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsBigint--">supportsBigint</a></span>()</code>
<div class="block">Checks if BIGINT is supported.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsBoolean--">supportsBoolean</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsCancelOperation--">supportsCancelOperation</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsCase--">supportsCase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsCaseSensitiveUserNames--">supportsCaseSensitiveUserNames</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsComment--">supportsComment</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsCustomExceptionMessages--">supportsCustomExceptionMessages</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsDecfloat--">supportsDecfloat</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsDecimalPrecision-int-">supportsDecimalPrecision</a></span>(int&nbsp;precision)</code>
<div class="block">Support for decimal (and numeric) precision.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsExecuteBlock--">supportsExecuteBlock</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsExplainedExecutionPlan--">supportsExplainedExecutionPlan</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsFullSearchableBlobs--">supportsFullSearchableBlobs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsGetSetContext--">supportsGetSetContext</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsGlobalTemporaryTables--">supportsGlobalTemporaryTables</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsIdentityColumns--">supportsIdentityColumns</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsInsertReturning--">supportsInsertReturning</a></span>()</code>
<div class="block">TODO: Add methods for other RETURNING types?</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsMonitoringTables--">supportsMonitoringTables</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsNativeUserDefinedFunctions--">supportsNativeUserDefinedFunctions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsNullDataType--">supportsNullDataType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsPageSize-int-">supportsPageSize</a></span>(int&nbsp;pageSize)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsParametrizedExceptions--">supportsParametrizedExceptions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsProtocol-int-">supportsProtocol</a></span>(int&nbsp;protocolVersion)</code>
<div class="block">Checks support for protocol versions.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsPSQLFunctions--">supportsPSQLFunctions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsRecordVersionPseudoColumn--">supportsRecordVersionPseudoColumn</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsReturningAll--">supportsReturningAll</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsSavepoint--">supportsSavepoint</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsSqlUserManagement--">supportsSqlUserManagement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsTableAlias--">supportsTableAlias</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsTimeZones--">supportsTimeZones</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsUpdateReturning--">supportsUpdateReturning</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsUserAndGroupIdInUser--">supportsUserAndGroupIdInUser</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsUtf8--">supportsUtf8</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#supportsWireEncryption--">supportsWireEncryption</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isVersionEqualOrAbove-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVersionEqualOrAbove</h4>
<pre>public&nbsp;boolean&nbsp;isVersionEqualOrAbove(int&nbsp;majorVersion,
                                     int&nbsp;minorVersion)</pre>
<div class="block">Check if the major.minor of this version is equal to or larger than the specified version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>majorVersion</code> - Major version</dd>
<dd><code>minorVersion</code> - Minor version</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when current major is larger than required, or major is same and minor is equal to or
 larger than required</dd>
</dl>
</li>
</ul>
<a name="isVersionEqualOrAbove-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVersionEqualOrAbove</h4>
<pre>public&nbsp;boolean&nbsp;isVersionEqualOrAbove(int&nbsp;requiredMajorVersion,
                                     int&nbsp;requiredMinorVersion,
                                     int&nbsp;requiredVariant)</pre>
<div class="block">Check if the major.minor.variant of this version is equal to or larger than the specified required version.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>requiredMajorVersion</code> - Required major version</dd>
<dd><code>requiredMinorVersion</code> - Required minor version</dd>
<dd><code>requiredVariant</code> - Required variant version</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when current major is larger than required, or major is same and minor is equal to required
 and variant equal to or larger than required, or major is same and minor is larger than required</dd>
</dl>
</li>
</ul>
<a name="isVersionBelow-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVersionBelow</h4>
<pre>public&nbsp;boolean&nbsp;isVersionBelow(int&nbsp;majorVersion,
                              int&nbsp;minorVersion)</pre>
<div class="block">Check if the major.minor of this version is below the specified version.
 <p>
 Equivalent to <code>!isVersionEqualOrAbove(majorVersion, minorVersion)</code>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>majorVersion</code> - Major version</dd>
<dd><code>minorVersion</code> - Minor version</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when current major is smaller than the specified major, or major is same and minor is
 smaller than the specified minor</dd>
</dl>
</li>
</ul>
<a name="supportsBigint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsBigint</h4>
<pre>public&nbsp;boolean&nbsp;supportsBigint()</pre>
<div class="block">Checks if BIGINT is supported.
 <p>
 Low level this feature was added in Interbase 6.0 / Firebird 1.0, but it was never surfaced in DDL
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the data type BIGINT is supported</dd>
</dl>
</li>
</ul>
<a name="supportsBoolean--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsBoolean</h4>
<pre>public&nbsp;boolean&nbsp;supportsBoolean()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the data type BOOLEAN is supported</dd>
</dl>
</li>
</ul>
<a name="supportsDecfloat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsDecfloat</h4>
<pre>public&nbsp;boolean&nbsp;supportsDecfloat()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the data type DECFLOAT is supported</dd>
</dl>
</li>
</ul>
<a name="supportsDecimalPrecision-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsDecimalPrecision</h4>
<pre>public&nbsp;boolean&nbsp;supportsDecimalPrecision(int&nbsp;precision)</pre>
<div class="block">Support for decimal (and numeric) precision.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>precision</code> - Precision</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when DECIMAL (and NUMERIC) support the supplied precision; 0 or negative precision always
 return <code>false</code></dd>
</dl>
</li>
</ul>
<a name="maxDecimalPrecision--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxDecimalPrecision</h4>
<pre>public&nbsp;int&nbsp;maxDecimalPrecision()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The maximum decimal and numeric precision</dd>
</dl>
</li>
</ul>
<a name="supportsComment--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsComment</h4>
<pre>public&nbsp;boolean&nbsp;supportsComment()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the COMMENT statement is supported</dd>
</dl>
</li>
</ul>
<a name="supportsGetSetContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsGetSetContext</h4>
<pre>public&nbsp;boolean&nbsp;supportsGetSetContext()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when RDB$GET_CONTEXT and RDB$SET_CONTEXT are supported</dd>
</dl>
</li>
</ul>
<a name="supportsCase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsCase</h4>
<pre>public&nbsp;boolean&nbsp;supportsCase()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when CASE (simple or searched) is supported</dd>
</dl>
</li>
</ul>
<a name="reportsBlobCharSetInDescriptor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reportsBlobCharSetInDescriptor</h4>
<pre>public&nbsp;boolean&nbsp;reportsBlobCharSetInDescriptor()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the blob character set is reported in the scale of the field descriptor</dd>
</dl>
</li>
</ul>
<a name="reportsByteLengthInDescriptor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reportsByteLengthInDescriptor</h4>
<pre>public&nbsp;boolean&nbsp;reportsByteLengthInDescriptor()</pre>
<div class="block">TODO: Check if this is for all types or only for metadata.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the length of the field descriptor reports the byte length (max byte per char *
 char length)</dd>
</dl>
</li>
</ul>
<a name="supportsInsertReturning--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsInsertReturning</h4>
<pre>public&nbsp;boolean&nbsp;supportsInsertReturning()</pre>
<div class="block">TODO: Add methods for other RETURNING types?</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when INSERT ... RETURNING ... is supported</dd>
</dl>
</li>
</ul>
<a name="supportsUpdateReturning--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsUpdateReturning</h4>
<pre>public&nbsp;boolean&nbsp;supportsUpdateReturning()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when UPDATE ... RETURNING ... is supported</dd>
</dl>
</li>
</ul>
<a name="supportsReturningAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsReturningAll</h4>
<pre>public&nbsp;boolean&nbsp;supportsReturningAll()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when <code>RETURNING *</code> and <code>RETURNING ref.*</code> is supported.</dd>
</dl>
</li>
</ul>
<a name="supportsUtf8--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsUtf8</h4>
<pre>public&nbsp;boolean&nbsp;supportsUtf8()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the server knows the UTF8 character set (NOTE: For firebird 1.5 it is an alias for
 UNICODE_FSS)</dd>
</dl>
</li>
</ul>
<a name="supportsSavepoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsSavepoint</h4>
<pre>public&nbsp;boolean&nbsp;supportsSavepoint()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when SAVEPOINT is supported</dd>
</dl>
</li>
</ul>
<a name="supportsExecuteBlock--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsExecuteBlock</h4>
<pre>public&nbsp;boolean&nbsp;supportsExecuteBlock()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when EXECUTE BLOCK is supported</dd>
</dl>
</li>
</ul>
<a name="supportsSqlUserManagement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsSqlUserManagement</h4>
<pre>public&nbsp;boolean&nbsp;supportsSqlUserManagement()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when CREATE/ALTER/DROP USER is supported</dd>
</dl>
</li>
</ul>
<a name="supportsCancelOperation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsCancelOperation</h4>
<pre>public&nbsp;boolean&nbsp;supportsCancelOperation()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when fb_cancel_operation is supported</dd>
</dl>
</li>
</ul>
<a name="supportsTableAlias--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsTableAlias</h4>
<pre>public&nbsp;boolean&nbsp;supportsTableAlias()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when field descriptors contain table alias information</dd>
</dl>
</li>
</ul>
<a name="supportsNullDataType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsNullDataType</h4>
<pre>public&nbsp;boolean&nbsp;supportsNullDataType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the <code>NULL</code> data type and <code>? IS NULL</code> is supported</dd>
</dl>
</li>
</ul>
<a name="supportsUserAndGroupIdInUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsUserAndGroupIdInUser</h4>
<pre>public&nbsp;boolean&nbsp;supportsUserAndGroupIdInUser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when <code>isc_spb_sec_userid</code> and <code>isc_spb_sec_groupid</code> are supported.</dd>
</dl>
</li>
</ul>
<a name="supportsProtocol-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsProtocol</h4>
<pre>public&nbsp;boolean&nbsp;supportsProtocol(int&nbsp;protocolVersion)</pre>
<div class="block">Checks support for protocol versions. The check is limited to those protocol versions supported by Jaybird
 (10-13 at this time).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>protocolVersion</code> - Protocol version number</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the database supports the specified protocol</dd>
</dl>
</li>
</ul>
<a name="supportsCustomExceptionMessages--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsCustomExceptionMessages</h4>
<pre>public&nbsp;boolean&nbsp;supportsCustomExceptionMessages()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when custom exception messages are supported.</dd>
</dl>
</li>
</ul>
<a name="supportsParametrizedExceptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsParametrizedExceptions</h4>
<pre>public&nbsp;boolean&nbsp;supportsParametrizedExceptions()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when parametrized exceptions are supported.</dd>
</dl>
</li>
</ul>
<a name="supportsMonitoringTables--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsMonitoringTables</h4>
<pre>public&nbsp;boolean&nbsp;supportsMonitoringTables()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when monitoring tables are supported.</dd>
</dl>
</li>
</ul>
<a name="supportsGlobalTemporaryTables--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsGlobalTemporaryTables</h4>
<pre>public&nbsp;boolean&nbsp;supportsGlobalTemporaryTables()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when global temporary tables (GTTs) are supported.</dd>
</dl>
</li>
</ul>
<a name="supportsFullSearchableBlobs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsFullSearchableBlobs</h4>
<pre>public&nbsp;boolean&nbsp;supportsFullSearchableBlobs()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when blobs are fully searchable (eg using `LIKE`).</dd>
</dl>
</li>
</ul>
<a name="supportsIdentityColumns--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsIdentityColumns</h4>
<pre>public&nbsp;boolean&nbsp;supportsIdentityColumns()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when identity columns are supported.</dd>
</dl>
</li>
</ul>
<a name="maxIdentifierLengthCharacters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxIdentifierLengthCharacters</h4>
<pre>public&nbsp;int&nbsp;maxIdentifierLengthCharacters()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The maximum number of characters in an identifier.</dd>
</dl>
</li>
</ul>
<a name="maxIdentifierLengthBytes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxIdentifierLengthBytes</h4>
<pre>public&nbsp;int&nbsp;maxIdentifierLengthBytes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The maximum number of bytes in an identifier.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#maxReportedIdentifierLengthBytes--"><code>maxReportedIdentifierLengthBytes()</code></a></dd>
</dl>
</li>
</ul>
<a name="maxReportedIdentifierLengthBytes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxReportedIdentifierLengthBytes</h4>
<pre>public&nbsp;int&nbsp;maxReportedIdentifierLengthBytes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The maximum number of bytes reported in parameter metadata for an identifier</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html#maxIdentifierLengthBytes--"><code>maxIdentifierLengthBytes()</code></a></dd>
</dl>
</li>
</ul>
<a name="reportedMetadataCharacterSetId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reportedMetadataCharacterSetId</h4>
<pre>public&nbsp;int&nbsp;reportedMetadataCharacterSetId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The character set id of system metadata</dd>
</dl>
</li>
</ul>
<a name="supportsPageSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsPageSize</h4>
<pre>public&nbsp;boolean&nbsp;supportsPageSize(int&nbsp;pageSize)</pre>
</li>
</ul>
<a name="supportsWireEncryption--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsWireEncryption</h4>
<pre>public&nbsp;boolean&nbsp;supportsWireEncryption()</pre>
</li>
</ul>
<a name="supportsNativeUserDefinedFunctions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsNativeUserDefinedFunctions</h4>
<pre>public&nbsp;boolean&nbsp;supportsNativeUserDefinedFunctions()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when UDFs (User Defined Functions) - backed by a native library - are supported</dd>
</dl>
</li>
</ul>
<a name="supportsPSQLFunctions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsPSQLFunctions</h4>
<pre>public&nbsp;boolean&nbsp;supportsPSQLFunctions()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when PSQL functions are supported</dd>
</dl>
</li>
</ul>
<a name="supportsAuthenticationPlugin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsAuthenticationPlugin</h4>
<pre>public&nbsp;boolean&nbsp;supportsAuthenticationPlugin(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;pluginName)</pre>
<div class="block">Checks whether the Firebird version supports a plugin name.
 <p>
 Firebird version 2.5 and earlier are considered to support only <code>Legacy_Auth</code>.
 </p>
 <p>
 NOTE: This method only checks if the specified plugin was shipped with a Firebird version, it does not
 check whether the plugin is enabled, nor if additional plugins are installed.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pluginName</code> - Authentication plugin name (case-sensitive)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if supported, <code>false</code> otherwise.</dd>
</dl>
</li>
</ul>
<a name="supportsRecordVersionPseudoColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsRecordVersionPseudoColumn</h4>
<pre>public&nbsp;boolean&nbsp;supportsRecordVersionPseudoColumn()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when <code>RDB$RECORD_VERSION</code> pseudo column is supported</dd>
</dl>
</li>
</ul>
<a name="getSystemTableCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemTableCount</h4>
<pre>public&nbsp;int&nbsp;getSystemTableCount()</pre>
<div class="block">The number of system tables (including monitoring tables).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Number of system tables, or <code>-1</code> if the Firebird version is not known/supported.</dd>
</dl>
</li>
</ul>
<a name="supportsCaseSensitiveUserNames--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsCaseSensitiveUserNames</h4>
<pre>public&nbsp;boolean&nbsp;supportsCaseSensitiveUserNames()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when this Firebird version supports case sensitive user names.</dd>
</dl>
</li>
</ul>
<a name="supportsExplainedExecutionPlan--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsExplainedExecutionPlan</h4>
<pre>public&nbsp;boolean&nbsp;supportsExplainedExecutionPlan()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when this Firebird version supports explained (detailed) execution plans.</dd>
</dl>
</li>
</ul>
<a name="supportsTimeZones--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportsTimeZones</h4>
<pre>public&nbsp;boolean&nbsp;supportsTimeZones()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when this Firebird version supports <code>TIME(STAMP) WITH TIME ZONE</code></dd>
</dl>
</li>
</ul>
<a name="supportInfoFor-org.firebirdsql.gds.impl.GDSServerVersion-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportInfoFor</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a>&nbsp;supportInfoFor(<a href="../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl">GDSServerVersion</a>&nbsp;serverVersion)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>serverVersion</code> - Server version</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FirebirdVersionSupport instance</dd>
</dl>
</li>
</ul>
<a name="supportInfoFor-org.firebirdsql.gds.ng.FbAttachment-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supportInfoFor</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a>&nbsp;supportInfoFor(<a href="../../../org/firebirdsql/gds/ng/FbAttachment.html" title="interface in org.firebirdsql.gds.ng">FbAttachment</a>&nbsp;attachment)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attachment</code> - Low level attachment object</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FirebirdVersionSupport instance</dd>
</dl>
</li>
</ul>
<a name="supportInfoFor-java.sql.Connection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>supportInfoFor</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util">FirebirdSupportInfo</a>&nbsp;supportInfoFor(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - A database connection (NOTE: <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> is used, but it must be or unwrap to a
         <a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnection</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FirebirdVersionSupport instance</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - When the provided connection is not an instance of or wrapper for
         <a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnection</code></a></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalStateException.html?is-external=true" title="class or interface in java.lang">IllegalStateException</a></code> - When an SQLException occurs unwrapping the connection, or creating
         the <a href="../../../org/firebirdsql/util/FirebirdSupportInfo.html" title="class in org.firebirdsql.util"><code>FirebirdSupportInfo</code></a> instance</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/util/ByteArrayHelper.html" title="class in org.firebirdsql.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/util/InternalApi.html" title="annotation in org.firebirdsql.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/util/FirebirdSupportInfo.html" target="_top">Frames</a></li>
<li><a href="FirebirdSupportInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
